<?php
/**
 * @package WordPress
 * @subpackage Followmedarling
 */

get_header();
?>

	<div class="innerPadding">

		<?php if (have_posts()) : ?>

 	  <?php $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>
 	  <?php /* If this is a category archive */ if (is_category()) { ?>
		<h2 class="pagetitle"><?php printf(__('Archive for the &#8216;%s&#8217; Category', 'followmedarling'), single_cat_title('', false)); ?></h2>
 	  <?php /* If this is a tag archive */ } elseif( is_tag() ) { ?>
		<h2 class="pagetitle"><?php printf(__('Posts Tagged &#8216;%s&#8217;', 'followmedarling'), single_tag_title('', false) ); ?></h2>
 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h2 class="pagetitle"><?php printf(_c('Archive for %s|Daily archive page', 'followmedarling'), get_the_time(__('F jS, Y', 'followmedarling'))); ?></h2>
 	  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h2 class="pagetitle"><?php printf(_c('Archive for %s|Monthly archive page', 'followmedarling'), get_the_time(__('F, Y', 'followmedarling'))); ?></h2>
		<ul class="ulFloatLeft">
			<?php wp_get_archives('type=monthly&after=<span>|</span>'); ?>
		</ul>
 	  <?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h2 class="pagetitle"><?php printf(_c('Archive for %s|Yearly archive page', 'followmedarling'), get_the_time(__('Y', 'followmedarling'))); ?></h2>
		<ul class="ulFloatLeft">
			<?php wp_get_archives('type=monthly&after=<span>|</span>'); ?>
		</ul>
	  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h2 class="pagetitle"><?php _e('Author Archive', 'followmedarling'); ?></h2>
 	  <?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h2 class="pagetitle"><?php _e('Blog Archives', 'followmedarling'); ?></h2>
 	  <?php } ?>

	  <div class="clearer ulFloatLeftBottomPad"></div>

		<?php while (have_posts()) : the_post(); ?>

			<h3 id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'followmedarling'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h3>
			<p class="date"><?php the_time(__('F jS, Y', 'followmedarling')) ?> | <?php the_author() ?></p>

			<?php the_content() ?>

			<div class="postFooter">
				<div class="postTags"><?php the_tags(__('Tags:', 'followmedarling') . ' ', ', ', ''); ?></div>
				<div class="postInfo"><?php printf(__('Posted in %s', 'followmedarling'), get_the_category_list(', ')); ?> | <?php edit_post_link(__('Edit', 'followmedarling'), '', ' | '); ?>  <?php comments_popup_link(__('No Comments &#187;', 'followmedarling'), __('1 Comment &#187;', 'followmedarling'), __('% Comments &#187;', 'followmedarling'), '', __('Comments Closed', 'followmedarling') ); ?></div>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'followmedarling')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'followmedarling')) ?></div>
			<div class="clearer"></div>
		</div>
		
	<?php else :

		if ( is_category() ) { // If this is a category archive
			printf("<h2 class='center'>".__("Sorry, but there aren't any posts in the %s category yet.", 'followmedarling').'</h2>', single_cat_title('',false));
		} else if ( is_date() ) { // If this is a date archive
			echo('<h2>'.__("Sorry, but there aren't any posts with this date.", 'followmedarling').'</h2>');
		} else if ( is_author() ) { // If this is a category archive
			$userdata = get_userdatabylogin(get_query_var('author_name'));
			printf("<h2 class='center'>".__("Sorry, but there aren't any posts by %s yet.", 'followmedarling')."</h2>", $userdata->display_name);
		} else {
			echo("<h2 class='center'>".__('No posts found.', 'followmedarling').'</h2>');
		}
	  get_search_form();
	endif;
?>
	</div>

<?php get_footer(); ?>
