<?php
/**
 * @package WordPress
 * @subpackage Followmedarling
 */
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
	<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>
	<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
	<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
	<?php
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
	?>
	<link rel="shortcut icon" href="<?php bloginfo('template_directory'); ?>/images/favicon.ico" type="image/x-icon" />
	<link rel="apple-touch-icon" href="<?php bloginfo('template_directory'); ?>/images/apple-touch-icon.png"/>
	<meta name="viewport" content="width=588;" />
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page">
	<div id="allContainer">
		<div id="content">
			<div id="header">
				<?php if(get_header_image() == '') { ?>
					<div class="textHeader">
						<h1>
							<a href="<?php bloginfo('url'); ?>" title="<?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a>
						</h1>
						<div class="tagline"><?php bloginfo('description'); ?></div>
					</div>
				<?php } else { ?>
					<h1 class="imgHeader" style="background-image:url('<?php header_image(); ?>');width:<?php echo HEADER_IMAGE_WIDTH; ?>px;height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;">
						<a href="<?php echo home_url(); ?>" title="<?php bloginfo('name'); ?>" style="width:<?php echo HEADER_IMAGE_WIDTH; ?>px;height:<?php echo HEADER_IMAGE_HEIGHT; ?>px;"><?php bloginfo('name'); ?></a>
					</h1>
					<!--<?php bloginfo('description'); ?>-->
				<?php } ?>
			</div>
