<?php
/**
 * @package WordPress
 * @subpackage Followmedarling
 */

get_header(); ?>

	<div class="innerPadding">

	<?php if (have_posts()) : ?>

		<?php while (have_posts()) : the_post(); ?>

			<div <?php post_class(); ?>>
			
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php printf(__('Permanent Link to %s', 'followmedarling'), the_title_attribute('echo=0')); ?>"><?php the_title(); ?></a></h2>
				<p class="date"><?php the_time(__('F jS, Y', 'followmedarling')) ?> | <?php the_author() ?></p>
				<?php
				if ( has_post_thumbnail() ) {
					print('<p>');
					the_post_thumbnail();
					print('</p>');
				}
				?>
				<?php the_content(__('Read the rest of this entry &raquo;', 'followmedarling')); ?>

				<div class="postFooter">
					<div class="postTags"><?php the_tags(__('Tags:', 'followmedarling') . ' ', ', ', ''); ?></div>
					<div class="postInfo"><?php printf(__('Posted in %s', 'followmedarling'), get_the_category_list(', ')); ?> | <?php edit_post_link(__('Edit', 'followmedarling'), '', ' | '); ?>  <?php comments_popup_link(__('No Comments &#187;', 'followmedarling'), __('1 Comment &#187;', 'followmedarling'), __('% Comments &#187;', 'followmedarling'), '', __('Comments Closed', 'followmedarling') ); ?></div>
				</div>
			
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('&laquo; Older Entries', 'followmedarling')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('Newer Entries &raquo;', 'followmedarling')) ?></div>
			<div class="clearer"></div>
		</div>

	<?php else : ?>

		<h2 class="center"><?php _e('Not Found', 'followmedarling'); ?></h2>
		<p class="center"><?php _e('Sorry, but you are looking for something that isn&#8217;t here.', 'followmedarling'); ?></p>
		<?php get_search_form(); ?>

	<?php endif; ?>

	</div>

<?php get_footer(); ?>
