<?php
/**
 * @package WordPress
 * @subpackage Followmedarling
 */

get_header();
?>
	<div class="innerPadding">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
	
		<div <?php post_class(); ?>>

			<h2><?php the_title(); ?></h2>
			<p class="date"><?php the_time(__('F jS, Y', 'followmedarling')) ?> | <?php the_author() ?></p>

			<?php the_content('<p class="serif">' . __('Read the rest of this entry &raquo;', 'followmedarling') . '</p>'); ?>

			<?php wp_link_pages(array('before' => '<p><strong>' . __('Pages:', 'followmedarling') . '</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); ?>

			<div class="postFooter">
					<?php the_tags( '<p>' . __('Tags:', 'followmedarling') . ' ', ', ', '</p>'); ?>
					<?php printf(__('This entry was posted on %1$s at %2$s and is filed under %3$s.', 'followmedarling'), get_the_time(__('F jS, Y', 'followmedarling')), get_the_time(), get_the_category_list(', ')); ?>
					<?php printf(__("You can follow any responses to this entry through the <a href='%s'>RSS 2.0</a> feed.", "followmedarling"), get_post_comments_feed_link()); ?> 
					<!-- followmedarling_posted_in
					<?php followmedarling_posted_in(); ?>
					<?php edit_post_link( __( 'Edit', 'followmedarling' ), '<span class="edit-link">', '</span>' ); ?>
					-->

					<?php if ( comments_open() && pings_open() ) {
						// Both Comments and Pings are open ?>
						<?php printf(__('You can <a href="#respond">leave a response</a>, or <a href="%s" rel="trackback">trackback</a> from your own site.', 'followmedarling'), get_trackback_url()); ?>

					<?php } elseif ( !comments_open() && pings_open() ) {
						// Only Pings are Open ?>
						<?php printf(__('Responses are currently closed, but you can <a href="%s" rel="trackback">trackback</a> from your own site.', 'followmedarling'), get_trackback_url()); ?>

					<?php } elseif ( comments_open() && !pings_open() ) {
						// Comments are open, Pings are not ?>
						<?php _e('You can skip to the end and leave a response. Pinging is currently not allowed.', 'followmedarling'); ?>

					<?php } elseif ( !comments_open() && !pings_open() ) {
						// Neither Comments, nor Pings are open ?>
						<?php _e('Both comments and pings are currently closed.', 'followmedarling'); ?>

					<?php } edit_post_link(__('Edit this entry', 'followmedarling'),'','.'); ?>
			</div>
				
		</div>

	<?php comments_template(); ?>

		<div class="navigation">
			<div class="alignleft"><?php previous_post_link('&laquo; %link') ?></div>
			<div class="alignright"><?php next_post_link('%link &raquo;') ?></div>
			<div class="clearer"></div>
		</div>

	<?php endwhile; else: ?>

		<p><?php _e('Sorry, no posts matched your criteria.', 'followmedarling'); ?></p>

<?php endif; ?>

	</div>

<?php get_footer(); ?>
