<?php
/**
 * @package WordPress
 * @subpackage Followmedarling
 */

// Do not delete these lines
	if (isset($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die ('Please do not load this page directly. Thanks!');
	
	if ( post_password_required() ) { ?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.', 'followmedarling'); ?></p> 
	<?php
		return;
	}
?>

<!-- You can start editing here. -->

<?php if ( have_comments() ) : ?>
	<h3 id="comments"><?php comments_number(__('No Responses', 'followmedarling'), __('One Response', 'followmedarling'), __('% Responses', 'followmedarling'));?> <?php printf(__('to &#8220;%s&#8221;', 'followmedarling'), the_title('', '', false)); ?></h3>

	<ol class="commentlist">
	<?php wp_list_comments();?>
	</ol>
	
	<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // Are there comments to navigate through? ?>
		<div class="navigation">
			<div class="nav-previous"><?php previous_comments_link( __( '<span class="meta-nav">&larr;</span> Older Comments', 'followmedarling' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments <span class="meta-nav">&rarr;</span>', 'followmedarling' ) ); ?></div>
		</div><!-- .navigation -->
	<?php endif; // check for comment navigation ?>

 <?php else : // this is displayed if there are no comments so far ?>

	<?php if ( comments_open() ) : ?>
		<!-- If comments are open, but there are no comments. -->

	 <?php else : // comments are closed ?>
		<!-- If comments are closed. -->
		<p class="nocomments"><?php _e('Comments are closed.', 'followmedarling'); ?></p>

	<?php endif; ?>
<?php endif; ?>

<?php comment_form(); ?>

